TikTok Shop GMV per day against the previous period
GET
/api/public/v1/stats/tik_tok_shop_gmv_24hConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Deprecated. It keeps working; new code should use /tik_tok_shop/affiliate/summary/tik_tok_shop/summary/weekly. See deprecations.
Operation id getTikTokShopGmv24h
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/stats/tik_tok_shop_gmv_24h?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required Default 10/04/2025 |
| end_date | query | string (date) | required Default 11/03/2025 |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.tik_tok_shop_gmv_24h | array of object | |
| data.tik_tok_shop_gmv_24h[].[].current | string | |
| data.tik_tok_shop_gmv_24h[].[].date | string | |
| data.tik_tok_shop_gmv_24h[].[].last | string | |
| data.tik_tok_shop_gmv_24h[].[].last_date | integer | |
| data.tik_tok_shop_gmv_24h[].[].last_order_count | integer | |
| data.tik_tok_shop_gmv_24h[].[].last_total | string | |
| data.tik_tok_shop_gmv_24h[].[].last_total_order_count | integer | |
| data.tik_tok_shop_gmv_24h[].[].order_count | integer | |
| data.tik_tok_shop_gmv_24h[].[].total | string | |
| data.tik_tok_shop_gmv_24h[].[].total_order_count | integer | |
| success | boolean |
Example
{
"data": {
"tik_tok_shop_gmv_24h": [
{
"current": "string",
"date": "2026-11-01",
"last": "string",
"last_date": 3,
"last_order_count": 3,
"last_total": "string",
"last_total_order_count": 3,
"order_count": 3,
"total": "string",
"total_order_count": 3
}
]
},
"success": true
}Errors: 401with an error and usually a message. See errors.
Example values are made up from each field's type and name.